Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455454 - lusermod fails to move the home directory content
Summary: lusermod fails to move the home directory content
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libuser
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 15:58 UTC by Milos Malik
Modified: 2012-06-20 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:57:13 UTC


Attachments (Terms of Use)

Description Milos Malik 2008-07-15 15:58:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.15) Gecko/20080702 Fedora/2.0.0.15-1.fc8 Firefox/2.0.0.15

Description of problem:
lusermod is not able to move the content of user's home directory from one directory to another.

After reading the lusermod man page in Fedora 8 I'm convinced that both parameters (-d -m) must be used. I know that there is no man page for lusermod in RHEL-4 package, but the tool seems to support it (it does not print "unrecognized option" message).

       -m, --movedirectory
              After changing user’s home directory (using the -d option), move
              the old home directory to the new location.


Version-Release number of selected component (if applicable):
libuser-0.52.5-1.el4.3

How reproducible:
Always


Steps to Reproduce:
# luseradd testuser
# ls -ld /home/testuser/
drwx------  4 testuser testuser 4096 Jul 15 11:23 /home/testuser/
# mkdir /home/testuser2
# ls -ld /home/testuser2
drwxr-xr-x  2 root root 4096 Jul 15 11:24 /home/testuser2
# lusermod -d /home/testuser2/ -m testuser
Error moving  to /home/testuser2/: unknown error.
# ls -ld /home/testuser
drwx------  4 testuser testuser 4096 Jul 15 11:23 /home/testuser
# ls -ld /home/testuser2
drwxr-xr-x  2 root root 4096 Jul 15 11:24 /home/testuser2
# grep testuser /etc/passwd
testuser:x:500:500:testuser:/home/testuser2/:/bin/bash
#

Actual Results:
lusermod does not move the home directory content from the old directory to the new directory.

Expected Results:
lusermod moves the home directory content from the old directory to the new directory.

Additional info:
Fedora 8 package libuser-0.56.6-2 is not affected by this bug.
RHEL-5 package libuser-0.54.7-2.el5.5 is not affected by this bug.

Comment 1 Milos Malik 2008-07-16 13:13:21 UTC
RHTS test for this bug is available (
/CoreOS/libuser/Regression/bz455454-lusermod-move-home-dir-content ).

Comment 2 Jiri Pallich 2012-06-20 16:57:13 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.